Upgrade Checker for Automation Engine Updates

Document ID : KB000088280
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:

Upgrade Checker for Automation Engine Major or Minor Version Updates


 
The latest version of the Upgrade Checker is now available at the marketplace. It supports currently all version 11.x and version 12.x versions:
https://marketplace.automic.com/details/upgrade-checker
 
This article is still available to make the tool available for Automation Engine version 10.



As of Automation Engine version 10 a so called Upgrade Checker is available. It can be used to check upfront for any changes needed to be done prior / after the upgrade to a newer version.

Attached to this article the tool can be found as an XML export. It can be imported as of AE v10.
There are the following prerequisites for using the tool:
  1. Automation Engine version 10 or higher is required.
  2. UC_SYSTEM_SETTINGS in client 0: Parameter VAR_SECURITY_LEVEL has to be set to 3.
  3. UC_SYSTEM_SETTINGS in client 0: Parameter SQLVAR_INTERNAL needs to be enabled (set to YES).
  4. The Automation Engine system needs to be configured for mail sending.
  5. The user, which activates the object “CYCK.RUN.FOR.CHECK” to run the test, needs to have an email address set in its user object. This user / email address will receive the report

After the import was successful (all objects were imported) and all prerequisites are fulfilled, execute the object “CYCK.RUN.FOR.CHECK” and choose the version you want to update to.
The findings will be collected in a report, which will be sent by mail to the user. Depending on the report size, it may be split up to several mails.
 
In case of any problem please contact support as usual.
 
Resolution:
File Attachments:
cyck_export-v1.0.9.xml